local addon, s = ...

s[1] = {} -- B, functions, constants, variables
s[2] = {} -- L, localization
s[3] = {} -- T, globals

--[[//////////////////////////////////////////////////

    BANK'S WATCH

    This is a lightweight add-on to keep track of your
    bank, reagent, void storage, guild bank inventory.

    The add-on will load and work directly with the
    saved variable rather than load it into memory,
    except for the tooltip cache.

----\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\]]

local B, L, T = unpack(select(2, ...))

T.F = {} -- Frames
T.FRAMEWHITESPACE = 3
T.BUTTON_HEIGHT = 32
T.ROW = 12
T.NUM_REAGENT_SLOTS = 98
T.NUM_VOID_SLOTS = VOID_STORAGE_MAX or 80
T.REAGENT_PAGES = 1
T.VOID_PAGES = VOID_STORAGE_PAGES or 2
T.MAX_GUILDBANK_SLOTS_PER_TAB = MAX_GUILDBANK_SLOTS_PER_TAB or 98
T.ACTIVE_TABLE = {}

T.ISBANKOPEN = false
T.ISGUILDOPEN = false
T.ISVOIDOPEN = false
T.ISMERCHANTOPEN = false

T.BW = {
    ['items'] = {},
    ['lookup'] = {},
    ['lookuprequest'] = false,
    ['tooltipcache'] = {},
    ['status'] = nil,
    ['elapsed'] = 0,
    ['auctions'] = {{}, {}} -- main, alts
}

T.MSGC = {
    ['ERROR'] = "|cffFF00E1",
    ['INFO'] = "|cff35FCB5",--"|cffB5EDFF",
    ['EVENT'] = "|cffFFBF00",--"|cff35FCB5",
    ['DEBUG'] = "|cffE0FC35",
    ['DEFAULT'] = "|cff30DFEF",
    ['BOOL'] = "|cff2BED48",
    ['WARN'] = "|cffDBD3AF"
}

T.QUALITY = {
    ['9d9d9d'] = 0,
    ['ffffff'] = 1,
    ['1eff00'] = 2,
    ['0070dd'] = 3,
    ['a335ee'] = 4,
    ['ff8000'] = 5,
    ['e6cc80'] = 6,
    ['00ccff'] = 7
}

T.OPTIONS = {
    ['iconsize'] = true,
    ['iconsizeslider'] = true,
    ['iconrow'] = true,
    ['iconrowslider'] = true,
    ['minimize'] = true,
    ['helptooltip'] = true,
    ['bankbagstoggle'] = true,
    ['bankbagtooltiptoggle'] = true,
    ['playerbagstoggle'] = true,
    ['playerbagtooltiptoggle'] = true
}

T.INVSLOTS = {
    "HEADSLOT",
    "NECKSLOT",
    "SHOULDERSLOT",
    "SHIRTSLOT",
    "CHESTSLOT",
    "WAISTSLOT",
    "LEGSSLOT",
    "FEETSLOT",
    "WRISTSLOT",
    "HANDSSLOT",
    "FINGER0SLOT",
    "FINGER1SLOT",
    "TRINKET0SLOT",
    "TRINKET1SLOT",
    "BACKSLOT",
    "MAINHANDSLOT",
    "SECONDARYHANDSLOT",
    "TABARDSLOT"
}
